from openerp import api, models
import datetime
from num2words import num2words

class report_ticket_gracia(models.AbstractModel):
    _name = 'report.ticket_venta_gracia.report_ticket_gracia'

    @api.multi
    def render_html(self, data=None):
        report_obj = self.env['report']
        report = report_obj._get_report_from_name('ticket_venta_gracia.report_ticket_gracia')
        docargs = {
            'doc_ids': self._ids,
            'doc_model': report.model,
            'docs': self.env[report.model].browse(self._ids),
            'calcular_precio':self.calcular_precio,
        }
        return report_obj.render('ticket_venta_gracia.report_ticket_gracia', docargs)


    def calcular_precio(self,precio):
        return (precio*1.1)
